/**********************************************************************
 * Copyright (c) 2007 IBM Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 * IBM - Initial API and implementation
 *
 * $Id: IOutputter.java,v 1.1 2007/10/26 18:33:37 sleeloy Exp $
 **********************************************************************/
package org.eclipse.cosmos.provisional.dr.ps.common;

import java.io.PrintWriter;
import java.util.Map;

public interface IOutputter {

	public abstract void setIdResolver(IIDResolver idResolver);

	public abstract void render(PrintWriter output, IParameters input)	throws Exception;

	public abstract void initalize(Map parameters, IStore store)	throws Exception;
	
}
